NarkDeveloper online marketing consulting service » Products » Hosting » Let's Encrypt บริการติดตั้ง Free SSL

เราพร้อมแล้วสำหรับให้บริการ Free SSL สำหรับผู้ที่ต้องการใช้งาน เว็บไซต์แบบ https เพื่อสร้างความมั่นใจให้ลูกค้า หรือผู้ใช้งานของเว็บไซต์ได้รู้สึกถึงความปลอดภัยของข้อมูลระหว่างการรับส่ง หรือการนำเทคโนโลยี ssl ไปใช้งานที่หลากหลายด้วยบริการ free ssl ของ Let's Encrypt เราสามารถที่จะติดตั้ง software บนเครื่อง server ของคุณแค่ครั้งเดียว คุณก็สามารถของใบรับรอง cert เพื่อใช้งาน https ได้แล้ว

Let's Encrypt บริการติดตั้ง Free SSL

สำหรับท่านทีมี Server ให้บริการเว็บไซต์ของตัวเองอยู่ หรือต้องการจะมี Server สำหรับธุรกิจ หรือใช้งานส่วนตัวในการให้บริการข้อมูลผ่านเว็บไซต์ของตัวเอง เรามีทั้งบริการ server หรือบริการเสริมในการติดตั้งโปรแกรม Let's Encrypt เพื่อให้เว็บไซต์ของคุณสามารถเรียกใช้งาน https ได้

ขอให้ข้อมูลเกี่ยวกับการติดตั้ง Let's Encrypt ที่เราได้ลองติดตั้งว่ามีขั้นตอนอย่างไรบ้างเพื่อเป็นข้อมูลเบื้องต้น สำหรับผู้ที่ต้องการติดตั้งโปรแกรมเอง แต่ถ้าหากไม่สดวกในการดำเนินการสามารถแจ้งให้เราดำเนินการให้ได้

แนะนำการติดตั้ง Let's Encrypt บน Server CentOS

letsencrypt

Let’s Encrypt

เราขอใช้ตัวอย่างการขอใช้บริการ Let's Encrypt ของ Server NarkDeveloper ในการให้ข้อมูลการติดตั้ง เนื่องจาก server ของเราติดตั้ง CentOS 6.4 ทำให้ต้องทำการ upgrade python เป็น version 2.7 เราได้ทำการลองตามกระบวนการติดตั้งที่ได้มีการให้ข้อมูลไว้ตามที่ต้างๆนั้นพบว่ามีปัญหาในการ upgrade มี blog ที่ให้ข้อมูลที่น่าสนใจในการ upgrade python เป็น version ที่ลูงกว่า SUPPORTEX.NET BLOG

curl -L https://raw.githubusercontent.com/yyuu/pyenv-installer/master/bin/pyenv-installer | bash
pyenv install -l | grep 2.7
yum install zlib-devel bzip2 bzip2-devel readline-devel sqlite sqlite-devel mysql-devel
pyenv install 2.7.8
pyenv local 2.7.8

หลังจากนั้นทำการติดตั้ง Let's Encrypt

git clone https://github.com/letsencrypt/letsencrypt
cd letsencrypt
./letsencrypt-auto

เราพบว่ามีปัญหาในการติดตั้ง

Command "/home/alex/.local/share/letsencrypt/bin/python2 -c "import setuptools, tokenize;__file__='/tmp/pip-build-53SP66/cryptography/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-eNoaCA-record/install-record.txt --single-version-externally-managed --compile --install-headers /home/alex/.local/share/letsencrypt/include/site/python2.7/cryptography" failed with error code 1 in /tmp/pip-build-53SP66/cryptography
/home/alex/.local/share/letsencrypt/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning

จึงต้องทำการ clear ระบบและติดตั้ง Let's Encrypt ใหม่

cd /root/tools
rm -rf /root/tools/letsencrypt
rm -rf /etc/letsencrypt
rm -rf /var/lib/letsencrypt
rm -rf /root/.local/share/letsencrypt

ทำการปิด web server และ mysql server service

service mysqld stop
service httpd stop

ทำการติดตั้ง Let's Encrypt ได้แล้ว

./letsencrypt-auto certonly --verbose

สนใจบริการติดตั้ง Free SSL
คลิกเพื่อติดต่อเรา

 

cwp_bar_icon:
option_overall_score: 0
cwp_rev_product_name:
cwp_rev_price:
cwp_meta_box_check: No
cwp_image_link: image
cwp_product_affiliate_text:
cwp_product_affiliate_link:
cwp_product_affiliate_text2:
cwp_product_affiliate_link2:
option_1_content:
option_1_grade:
option_2_content:
option_2_grade:
option_3_content:
option_3_grade:
option_4_content:
option_4_grade:
option_5_content:
option_5_grade:
cwp_rev_product_image:
cwp_option_1_pro:
cwp_option_1_cons:
cwp_option_2_pro:
cwp_option_2_cons:
cwp_option_3_pro:
cwp_option_3_cons:
cwp_option_4_pro:
cwp_option_4_cons:
cwp_option_5_pro:
cwp_option_5_cons:
xyz_twap: 1
xyz_lnap: 1
dsq_thread_id:

Price: THB1,500.00

Loading Updating cart...